summaryrefslogtreecommitdiff
path: root/third-party/pjproject/apply_patches
diff options
context:
space:
mode:
authorGeorge Joseph <gjoseph@digium.com>2016-10-24 09:55:23 -0600
committerGeorge Joseph <gjoseph@digium.com>2016-10-24 15:06:11 -0500
commit16c23b57c747698cb760548bdea393a52a7f3abe (patch)
treec71140d223bfde79a048b2d8d2c2d3d096149e66 /third-party/pjproject/apply_patches
parente03364c40aa073b69ca8c6652fd17a91908b9aaf (diff)
pjproject_bundled: Fixed various build issues
* CFLAGS is now properly set when using older gcc. * All third-party pjproject targets have been removed. This fixes an issue with older libsrtp in some distros. * Manually removing the source directory now causes a rebuild. * EXTERNALS_CACHE_DIR is now properly checked. * Whitespace fixes. Change-Id: I98fec6847efc5602a9f41cb95096fd660a49fa60
Diffstat (limited to 'third-party/pjproject/apply_patches')
-rwxr-xr-xthird-party/pjproject/apply_patches8
1 files changed, 7 insertions, 1 deletions
diff --git a/third-party/pjproject/apply_patches b/third-party/pjproject/apply_patches
index c28f40301..69a0ad0c1 100755
--- a/third-party/pjproject/apply_patches
+++ b/third-party/pjproject/apply_patches
@@ -28,8 +28,14 @@ if [ ! "$(ls -A $patchdir/*.patch 2>/dev/null)" ] ; then
exit 0
fi
+if patch --dry-run </dev/null >/dev/null 2>&1 ; then
+ DRY_RUN=--dry-run
+else
+ DRY_RUN=-C
+fi
+
for patchfile in $patchdir/*.patch ; do
- ${PATCH} -d $sourcedir -p1 -s -r- -f -N --dry-run -i "$patchfile" || (echo "Patchfile $(basename $patchfile) failed to apply" >&2 ; exit 1) || exit 1
+ ${PATCH} -d $sourcedir -p1 -s -r- -f -N $DRY_RUN -i "$patchfile" || (echo "Patchfile $(basename $patchfile) failed to apply" >&2 ; exit 1) || exit 1
done
for patchfile in "$patchdir"/*.patch ; do